Register a new business
POST/business
Registering a new business will submit that business for verification. After submission, an ID for the business will be provided. The verification progress can be checked using the “Get business by ID” API call.
Note: There is a service fee associated with each registered business.
Body
requiredLegal registered name of the business
Sample Business Inc.Primary DBA / public business name
Sample BusinessWhile DUNS number is optional in the API, the service might decline businesses without a DUNS number depending on the API key configuration. If DUNS is provided, Hiya will verify the business information against the DUNS record on file, even if DUNS is optional.
123456789GB123456789Primary country of operation for business headquarters. Provide as an ISO-3166-1 alpha-2 country code, for example “US”, “GB”, “DE”.
GBState/province or similar of the business headquarters. IMPORTANT: This field is required for businesses registered in either US or CA, using the two-character territory code (BC, ON, QB or similar) or the two-character state code (WA, NY, PR or similar).
West YorkshireLeedsLS1123 Any St.Suite 200Primary industry of operations by this business (not limited to only industry purpose that creates phone calls)
industry (string)Possible values: [ACCOUNTING_OR_FINANCE, BILLING_AND_COLLECTIONS, BUSINESS_SERVICES, CHARITY_OR_FUNDRAISING, COMMUNICATIONS, CUSTOMER_SERVICE, DELIVERY_OR_SHIPPING, EDUCATION, FINANCIAL_SERVICES, GOVERNMENT_OR_PUBLIC_SERVICES, HEALTHCARE_OR_PHARMACY, INSURANCE, LEGAL_SERVICES, NOTIFICATIONS_OR_SCHEDULING, REAL_ESTATE, RETAIL, SALES, SOFTWARE_OR_TECHNOLOGY_OR_MEDIA, SURVEYS_AND_MARKET_RESEARCH, TRAVEL_OR_HOSPITALITY, OTHER]
ACCOUNTING_OR_FINANCEcontactobject
Name, email address, phone number, and job title of a representative at the business
SamplePersonsample@sample.comCEO+4412345678990NumberOfEmployees (string)Possible values: [BETWEEN_1_AND_10, BETWEEN_11_AND_50, BETWEEN_51_AND_200, BETWEEN_201_AND_500, BETWEEN_501_AND_2000, BETWEEN_2001_AND_10000, MORE_THAN_10001]
BETWEEN_1_AND_10Primary website (will be used in business verification)
www.hiya.comBy setting to true, you are asserting that this business has given you authorization to represent them for the purposes of registration and calling reputation management.
trueResponses
- 200
- 400
- 401
- 500
Ok
Response Body
The unique identifier for the business that was successfully created. This ID can be used for future reference or operations related to this business.
string<uuid>The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>Example from Schema
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z"
}
Bad Request
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}
Unauthorized
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}
Internal Server Error
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}